- Main Page
- Modules
- Classes
- Namespaces
- Files
- Related Pages

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
List of all members | Public Types | Public Member Functions
ReadWriteMap< K, T > Class Template Reference
Map Concepts

## Detailed Description

### template<typename K, typename T>
class lemon::concepts::ReadWriteMap< K, T >

Read/writable map concept.

`#include <lemon/concepts/maps.h>`

Inheritance diagram for ReadWriteMap< K, T >:
[legend]

## Public Types
typedef K | Key
| The key type of the map.
typedef T | Value
| The value type of the map. (The type of objects associated with the keys).
Public Types inherited from ReadMap< K, T >
typedef K | Key
| The key type of the map.
typedef T | Value
| The value type of the map. (The type of objects associated with the keys).
Public Types inherited from WriteMap< K, T >
typedef K | Key
| The key type of the map.
typedef T | Value
| The value type of the map. (The type of objects associated with the keys).

## Public Member Functions
Value | operator[] (const Key &) const
| Returns the value associated with the given key.
void | set (const Key &, const Value &)
| Sets the value associated with the given key.
Public Member Functions inherited from ReadMap< K, T >
Value | operator[] (const Key &) const
| Returns the value associated with the given key.
Public Member Functions inherited from WriteMap< K, T >
void | set (const Key &, const Value &)
| Sets the value associated with the given key.
| WriteMap ()
| Default constructor.